ConsensusLayerWithdrawalProtection

By benjaminchodroff

ConsensusLayerWithdrawalProtection Alternatives

Similar projects and alternatives to ConsensusLayerWithdrawalProtection

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a better ConsensusLayerWithdrawalProtection alternative or higher similarity.

ConsensusLayerWithdrawalProtection reviews and mentions

Posts with mentions or reviews of ConsensusLayerWithdrawalProtection. We have used some of these posts to build our list of alternatives and similar projects. The last one was on 2023-04-10.
  • I am struggling to establish the withdrawal address for my validator. Help is welcome!
    2 projects | /r/ethstaker | 10 Apr 2023
    I have been also reading also about EIP-4736 and Consensus Layer Withdrawal Protection, but apparently, they don't accept more submissions.
  • What is from_bls_pubkey in change_operations.json?
    2 projects | /r/ethstaker | 6 Apr 2023
  • Daily General Discussion - April 5, 2023
    5 projects | /r/ethfinance | 5 Apr 2023
    git clone https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection.git cd ConsensusLayerWithdrawalProtection
  • My eth validator has been down, can I withdraw without getting it running again?
    2 projects | /r/ethstaker | 29 Mar 2023
    I did basically the same on goerli network as i did not want to bother resync a validator node from scratch: 1. go here and get the offline preparation file: https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection 2. on a live ubuntu (from an usb stick) + ethdo and the offline preparation file, prepare the json file to sign the exit, instructions here: https://github.com/wealdtech/ethdo/blob/master/docs/changingwithdrawalcredentials.md 3. once shapella is live on main net, use the beaconcha.in endpoint to broadcast the json file ref: https://beaconcha.in/tools/broadcast
  • Daily General Discussion - March 27, 2023
    1 project | /r/ethfinance | 27 Mar 2023
    There's some group trying to do this https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection
  • 0x00 to 0x01
    3 projects | /r/ethstaker | 12 Mar 2023
    The easiest is using ethdo using the offline process. You don't have to run a node yourself, if you download the offline preparation file from here: https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection/tree/main (offline-preparation.json is just a big text file containing the ids, validator pubkeys, and withdraw pubkeys of all validators).
  • to all stakers/node operators: consider helping broadcast withdrawal address change requests submitted via CLPW by following these simple steps:
    1 project | /r/ethstaker | 6 Mar 2023
    # Navigate to the folder containing the "ethdo" utility cd /path/to/ethdoFolder # Download the CLWP submissions: git clone https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection.git # Install jq (Example: apt install -y jq) and use it to combine all CLWP submissions together into a single change-operations.json file jq -s 'add' ConsensusLayerWithdrawalProtection/mainnet/*.json > change-operations.json # Run ethdo to connect to your beacon node (specify the valid host and port), allowing local insecure connections using HTTP, and it will broadcast all messages in the change-operations.json file. ./ethdo validator credentials set --connection http://YourNodeIP:5052 --allow-insecure-connections echo $?
  • Withdrawal address generation
    1 project | /r/ethstaker | 26 Feb 2023
  • CLWP for validator withdrawal address due by 2/28
    1 project | /r/ethereum | 23 Feb 2023
    If you have an Ethereum validator, and have not stored your validator seed phrase securely offline, we would encourage you to consider using CLWP (EIP-4736) to set your withdrawal address. We will broadcast these submissions at the Capella hard fork. This may help you win against an attacker. We are accepting open submissions until 2/28. Over 750 validators have used CLWP. We are happy to help anyone who has questions. https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection
  • Reminder: monitor if someone is maliciously trying to broadcast your BLS address change before you do via CLWP
    2 projects | /r/ethstaker | 16 Feb 2023
    #!/bin/bash NOT_FOUND="Not Found" if [ $# -eq 0 ] then echo "You must provide at least one argument. \n Use with ./clwpCheck.sh ..." fi # Check cURL command if available (required), abort if does not exists type curl >/dev/null 2>&1 || { echo >&2 "Required curl but it's not installed. Aborting."; exit 1; } echo "🕵️ Checking the public CLWP list at https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection/tree/main/mainnet" for i in "$@"; do echo RESPONSE=`curl -s "https://github.com/benjaminchodroff/ConsensusLayerWithdrawalProtection/commits/main/mainnet/"$i".json.atom"` if [ "$RESPONSE" == "$NOT_FOUND" ]; then echo "🟢 Validator $i not found in the broadcast list." else JSONRESPONSE=`curl -s "https://raw.githubusercontent.com/benjaminchodroff/ConsensusLayerWithdrawalProtection/main/mainnet/"$i".json"` startIndex=$(echo $JSONRESPONSE | grep -b -o 'to_execution_address' | cut -d: -f1) withdrawalAddress=${JSONRESPONSE:$startIndex+23:42} echo "🔴 Validator $i: Watch out, there is a request to change the withdrawal address to "$withdrawalAddress echo " If you didn't request this change, you should contact CLWP right away 👉 https://clwp.xyz/index.php/contact.html" echo " This signed message will be broadcast at Shangai 👉 https://raw.githubusercontent.com/benjaminchodroff/ConsensusLayerWithdrawalProtection/main/mainnet/"$i".json" fi done
  • A note from our sponsor - InfluxDB
    www.influxdata.com | 2 May 2024
    Get real-time insights from all types of time series data with InfluxDB. Ingest, query, and analyze billions of data points in real-time with unbounded cardinality. Learn more →

Stats

Basic ConsensusLayerWithdrawalProtection repo stats
18
35
6.8
12 months ago

benjaminchodroff/ConsensusLayerWithdrawalProtection is an open source project licensed under The Unlicense which is not an OSI approved license.

The primary programming language of ConsensusLayerWithdrawalProtection is Go.


Sponsored
SaaSHub - Software Alternatives and Reviews
SaaSHub helps you find the best software and product alternatives
www.saashub.com